Update an additional document
curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/additional-documents/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Parking permit",
"filetype": "<string>",
"notes": "This parking permit is valid for parking lot at Parkway Drive 4"
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/additional-documents/{documentId}"
payload = {
"title": "Parking permit",
"filetype": "<string>",
"notes": "This parking permit is valid for parking lot at Parkway Drive 4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Parking permit',
filetype: '<string>',
notes: 'This parking permit is valid for parking lot at Parkway Drive 4'
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/additional-documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Parking permit",
"created": "2023-11-07T05:31:56Z",
"notes": "This parking permit is valid for parking lot at Parkway Drive 4",
"blob": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}Additional documents
Update an additional document
Overwrite the selected additional document of the specified vehicle
PUT
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
additional-documents
/
{documentId}
Update an additional document
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3Vehicle unique identifier
ID of the additional document
Body
application/json
Information to overwrite the existing additional document with
Response
The updated additional document
Unique id of the document
Title of the additional document, describing what the content of the blob is
Example:
"Parking permit"
Custom notes for this additional document
Example:
"This parking permit is valid for parking lot at Parkway Drive 4"
Show child attributes
Show child attributes
⌘I

